Package org.eclipse.graphiti.ui.editor

# Class DiagramEditorMatchingStrategy

java.lang.Object
org.eclipse.graphiti.ui.editor.DiagramEditorMatchingStrategy

All Implemented Interfaces:
  `org.eclipse.ui.IEditorMatchingStrategy`

public final class DiagramEditorMatchingStrategy extends Object implements org.eclipse.ui.IEditorMatchingStrategy
Checks whether any file editor input matches one of the opened editors. Scenario is a user's double-clicking on a diagram file in the explorer. If done multiple times on the same file, no new editor must be opened.

Since:
  0.9

## Constructor Summary

Constructors
Constructor
Description
`DiagramEditorMatchingStrategy()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(org.eclipse.ui.IEditorReference editorRef, org.eclipse.ui.IEditorInput input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DiagramEditorMatchingStrategy

public DiagramEditorMatchingStrategy()

## Method Details

### matches

public boolean matches(org.eclipse.ui.IEditorReference editorRef, org.eclipse.ui.IEditorInput input)

Specified by:
  `matches` in interface `org.eclipse.ui.IEditorMatchingStrategy`